Bug 221258 - sysutils/dsbdriverd: Update to 0.2
Summary: sysutils/dsbdriverd: Update to 0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2017-08-05 21:51 UTC by Marcel Kaiser
Modified: 2017-08-11 23:44 UTC (History)
1 user (show)

See Also:


Attachments
svn diff to upgrade dsbdriverd to version 0.2 (1.79 KB, patch)
2017-08-05 21:51 UTC, Marcel Kaiser
mk: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Kaiser 2017-08-05 21:51:49 UTC
Created attachment 185062 [details]
svn diff to upgrade dsbdriverd to version 0.2

Release notes:

The following mentionable changes have been made:

- An -u options has been added. If defined, dsbdriverd starts dhclient(8) on
  Ethernet devices that appeared after loading the corresponding driver.
- An -l option has been added. It lists installed devices and their
  corresponding driver.
- Entries for if_qlnxe(4), if_bnxt(4), mpr(4), mrsas(4), and pms(4) have
  been added to the driver database.
- Reconnect if the connection to devd(8) was lost.
- The manual page now uses the mdoc(7) format.

QA:
portlint: OK (looks fine.)
testport: OK (poudriere: 110Ramd64, 103Ri386)
Comment 1 commit-hook freebsd_committer 2017-08-10 23:27:41 UTC
A commit references this bug:

Author: dbaio
Date: Thu Aug 10 23:26:48 UTC 2017
New revision: 447727
URL: https://svnweb.freebsd.org/changeset/ports/447727

Log:
  sysutils/dsbdriverd: Update to 0.2

  While here, add LICENSE_FILE

  Release notes:

  The following mentionable changes have been made:

  - An -u options has been added. If defined, dsbdriverd starts dhclient(8) on
    Ethernet devices that appeared after loading the corresponding driver.
  - An -l option has been added. It lists installed devices and their
    corresponding driver.
  - Entries for if_qlnxe(4), if_bnxt(4), mpr(4), mrsas(4), and pms(4) have
    been added to the driver database.
  - Reconnect if the connection to devd(8) was lost.
  - The manual page now uses the mdoc(7) format.

  PR:		221258
  Submitted by:	Marcel Kaiser <mk@nic-nac-project.org> (maintainer)

Changes:
  head/sysutils/dsbdriverd/Makefile
  head/sysutils/dsbdriverd/distinfo
  head/sysutils/dsbdriverd/files/patch-Makefile
Comment 2 Danilo G. Baio freebsd_committer 2017-08-10 23:28:29 UTC
Committed, thanks!
Comment 3 Marcel Kaiser 2017-08-11 23:44:48 UTC
Thank you for the commit!